Bug#326866: marked as done (vdr: plugin-loader.sh does not work
on amd64)
Debian Bug Tracking System
owner at bugs.debian.org
Sat Nov 5 23:18:09 UTC 2005
Your message dated Sat, 05 Nov 2005 15:02:09 -0800
with message-id <E1EYX33-0004WE-00 at spohr.debian.org>
and subject line Bug#326866: fixed in vdr 1.3.35-1
has caused the attached Bug report to be marked as done.
This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.
(NB: If you are a system administrator and have no idea what I am
talking about this indicates a serious mail system misconfiguration
somewhere. Please contact me immediately.)
Debian bug tracking system administrator
(administrator, Debian Bugs database)
--------------------------------------
Received: (at submit) by bugs.debian.org; 6 Sep 2005 09:37:55 +0000
>From s.koepping at gmx.de Tue Sep 06 02:37:55 2005
Return-path: <s.koepping at gmx.de>
Received: from pop.gmx.net (mail.gmx.net) [213.165.64.20]
by spohr.debian.org with smtp (Exim 3.36 1 (Debian))
id 1ECZtq-0000pg-00; Tue, 06 Sep 2005 02:37:54 -0700
Received: (qmail invoked by alias); 06 Sep 2005 09:37:22 -0000
Received: from p508E1B2C.dip0.t-ipconnect.de (EHLO antec.local) [80.142.27.44]
by mail.gmx.net (mp011) with SMTP; 06 Sep 2005 11:37:22 +0200
X-Authenticated: #538707
Subject: vdr: plugin-loader.sh does not work on amd64
From: =?ISO-8859-1?Q?S=F6ren_K=F6pping?= <s.koepping at gmx.de>
To: submit at bugs.debian.org
Content-Type: multipart/mixed; boundary="=-xt3C5YEFYOvPZN3jXq/H"
Date: Tue, 06 Sep 2005 11:37:33 +0200
Message-Id: <1125999453.8336.5.camel at antec.local>
Mime-Version: 1.0
X-Mailer: Evolution 2.2.3
X-Y-GMX-Trusted: 0
Delivered-To: submit at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02
(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level:
X-Spam-Status: No, hits=-8.0 required=4.0 tests=BAYES_00,HAS_PACKAGE
autolearn=no version=2.60-bugs.debian.org_2005_01_02
--=-xt3C5YEFYOvPZN3jXq/H
Content-Type: text/plain
Content-Transfer-Encoding: 7bit
Package: vdr
Version: 1.3.31-2
Severity: normal
Tags: patch
Hi,
plugin-loader.sh runs vdr with LD_ASSUME_KERNEL=2.4.1 which is not
supported on amd64. This results in /etc/init.d/vdr not being able to
auto-detect plugins. The attached patch fixes plugin-loader.sh by
checking for $NONPTL and uname -m like it is already done in the runvdr
script.
-- System Information:
Debian Release: testing/unstable
APT prefers testing
APT policy: (990, 'testing'), (500, 'unstable'), (1,
'sarge-unsupported')
Architecture: amd64 (x86_64)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Versions of packages vdr depends on:
ii adduser 3.67 Add and remove users and
groups
ii debconf [debconf-2.0] 1.4.58 Debian configuration
management sy
ii libc6 2.3.5-6 GNU C Library: Shared
libraries an
ii libcap1 1:1.10-14 support for getting/setting
POSIX.
ii libgcc1 1:4.0.1-2 GCC support library
ii libjpeg62 6b-10 The Independent JPEG
Group's JPEG
ii libstdc++6 4.0.1-2 The GNU Standard C++
Library v3
ii makedev 2.3.1-78 creates device files
in /dev
ii psmisc 21.6-1 Utilities that use the proc
filesy
Versions of packages vdr recommends:
ii lirc 0.7.1pre2-2 Linux Infra-red Remote
Control sup
-- debconf information:
* vdr/select_dvb_card: Terrestrial
* vdr/showinfo:
* vdr/create_video_dir: true
--=-xt3C5YEFYOvPZN3jXq/H
Content-Disposition: attachment; filename=vdr-amd64.diff
Content-Type: text/x-patch; name=vdr-amd64.diff; charset=UTF-8
Content-Transfer-Encoding: 7bit
diff -u vdr-1.3.31/debian/plugin-loader.sh vdr-1.3.31/debian/plugin-loader.sh
--- vdr-1.3.31/debian/plugin-loader.sh
+++ vdr-1.3.31/debian/plugin-loader.sh
@@ -14,9 +14,16 @@
local patchelvels
local leftout
local leftout2
+ local vdrcmd
local version
- version=`LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr -u $USER -g $GROUP -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
+ if [ "$NONPTL" = "1" -a `uname -m` != x86_64 ]; then
+ vdrcmd="LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr"
+ else
+ vdrcmd="/usr/bin/vdr"
+ fi
+
+ version=`$vdrcmd -u $USER -g $GROUP -V -L/usr/bin/vdr 2>/dev/null | sed -e 's/.*(\(.*\)).*/\1/'`
test "$version" || version="unknown version"
PLUGINS=""
@@ -47,7 +54,7 @@
# move not startable plugins to $leftout2
for (( i=${#installed_plugins[@]}, i-- ; i >= 0 ; i-- )); do
- if ! LD_ASSUME_KERNEL=2.4.1 /usr/bin/vdr -u $USER -g $GROUP $OPTIONS -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
+ if ! $vdrcmd -u $USER -g $GROUP $OPTIONS -V -L $PLUGIN_DIR -P ${installed_plugins[$i]} \
2>/dev/null | grep -q "^${installed_plugins[$i]} "; then
leftout2="${leftout2} ${installed_plugins[$i]}"
unset installed_plugins[$i]
--=-xt3C5YEFYOvPZN3jXq/H--
---------------------------------------
Received: (at 326866-close) by bugs.debian.org; 5 Nov 2005 23:07:12 +0000
>From katie at spohr.debian.org Sat Nov 05 15:07:12 2005
Return-path: <katie at spohr.debian.org>
Received: from katie by spohr.debian.org with local (Exim 3.36 1 (Debian))
id 1EYX33-0004WE-00; Sat, 05 Nov 2005 15:02:09 -0800
From: Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>
To: 326866-close at bugs.debian.org
X-Katie: $Revision: 1.56 $
Subject: Bug#326866: fixed in vdr 1.3.35-1
Message-Id: <E1EYX33-0004WE-00 at spohr.debian.org>
Sender: Archive Administrator <katie at spohr.debian.org>
Date: Sat, 05 Nov 2005 15:02:09 -0800
Delivered-To: 326866-close at bugs.debian.org
X-Spam-Checker-Version: SpamAssassin 2.60-bugs.debian.org_2005_01_02
(1.212-2003-09-23-exp) on spohr.debian.org
X-Spam-Level:
X-Spam-Status: No, hits=-6.0 required=4.0 tests=BAYES_00,HAS_BUG_NUMBER
autolearn=no version=2.60-bugs.debian.org_2005_01_02
Source: vdr
Source-Version: 1.3.35-1
We believe that the bug you reported is fixed in the latest version of
vdr, which is due to be installed in the Debian FTP archive:
vdr-dev_1.3.35-1_all.deb
to pool/main/v/vdr/vdr-dev_1.3.35-1_all.deb
vdr-plugin-examples_1.3.35-1_i386.deb
to pool/main/v/vdr/vdr-plugin-examples_1.3.35-1_i386.deb
vdr-plugin-sky_1.3.35-1_i386.deb
to pool/main/v/vdr/vdr-plugin-sky_1.3.35-1_i386.deb
vdr_1.3.35-1.diff.gz
to pool/main/v/vdr/vdr_1.3.35-1.diff.gz
vdr_1.3.35-1.dsc
to pool/main/v/vdr/vdr_1.3.35-1.dsc
vdr_1.3.35-1_i386.deb
to pool/main/v/vdr/vdr_1.3.35-1_i386.deb
vdr_1.3.35.orig.tar.gz
to pool/main/v/vdr/vdr_1.3.35.orig.tar.gz
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to 326866 at bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org> (supplier of updated vdr package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster at debian.org)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
Format: 1.7
Date: Tue, 1 Nov 2005 21:43:03 +0100
Source: vdr
Binary: vdr-plugin-sky vdr vdr-plugin-examples vdr-dev
Architecture: source i386 all
Version: 1.3.35-1
Distribution: unstable
Urgency: low
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>
Changed-By: Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org>
Description:
vdr - Video Disk Recorder for DVB cards
vdr-dev - Video Disk Recorder for DVB cards
vdr-plugin-examples - Plugins for vdr to show some possible features
vdr-plugin-sky - Plugin for using a Sky Digibox with vdr
Closes: 326866 330988
Changes:
vdr (1.3.35-1) unstable; urgency=low
.
* Thomas Schmidt <tschmidt at debian.org>
- New upstream release
+ Removed 16_avoidTrashing.dpatch
+ Removed 18_vdr-1.3.33-recordingsmenu.dpatch
+ Removed 19_vdr-1.3.33-recordingsupdate.dpatch
+ Added 16_recordings.c-fix.dpatch
- Corrected FSF address in debian/copyright
- Call dh_installman in binary-indep target in debian/rules, to
(re-)include 2 missing manpages
- Changed dependencies.sh to create Depends: like
vdr (>= current>), vdr (<< current-9999) without using Conflicts: vdr
(>= current-9999) - many thanks to Adeodato Simó for suggesting this
(this will hopefully allow vdr+plugins to enter testing without manual
hinting)
.
vdr (1.3.33-1) unstable; urgency=low
.
* Thomas Schmidt <tschmidt at debian.org>
- New upstream release
+ Removed 14_update-resume.dpatch
+ Removed 18_vdr-plugin-sky-fix
- Added initial Swedish translation (sv.po) of the debconf template
from Daniel Nylander (closes: #330988)
* Thomas Günther <tom at toms-cafe.de>
- Added 18_vdr-1.3.33-recordingsmenu.dpatch
- Added 19_vdr-1.3.33-recordingsupdate.dpatch
- Fixed make PLUGINS/lib in debian/rules
* Tobias Grimm <tg at e-tobi.net>
- Removed formatting spaces from substvars generated by
dpendencies.sh, because dh_gencontrol does not like it
.
vdr (1.3.32-1) unstable; urgency=low
.
* Thomas Schmidt <tschmidt at debian.org>
- New upstream release
+ Added 18_vdr-plugin-sky-fix.dpatch
+ Updated 10_dd-record-option.dpatch
+ Removed 18_vdr-1.3.31-remuxbraces.dpatch
+ Removed 19_vdr-1.3.31-remux.dpatch
+ Removed 20_vdr-1.3.31-sequence-end-code5.dpatch
+ Removed 21_vdr-1.3.31-skipframes.dpatch
.
vdr (1.3.31-3) unstable; urgency=low
.
* Thomas Schmidt <tschmidt at debian.org>
- Updated 01_Makefile-fPIC-fix.dpatch again, added -fPIC to the Makefile
of the skincurses plugin
- Build-Depend on libncurses5-dev, so the skincurses plugin gets compiled
- Install the plugins svccli, svcsvr, skincurses and svdrpdemo into the
vdr-plugin-examples package
- Modified the init-script to not exit silently if vdr is disabled in
/etc/default/vdr (which is the default), instead of this showing a small
note how to enable the daemon
- Do not try to call vdr with LD_ASSUME_KERNEL=2.4.1 in plugins-loader.sh
on amd64 (many thanks to Sören Köpping for reporting the problem and
sending a patch) (closes: #326866)
* Thomas Günther <tom at toms-cafe.de>
- Fixed vdr call with LD_ASSUME_KERNEL=2.4.1 in plugins-loader.sh
- Adapted debian/plugin-loader.sh to example plugins
- Fixed patchlevel substitution for architecture-independent packages
- Removed unnecessary debian/vdr-dev.dirs and unnecessary entries from
debian/vdr.dirs
Files:
18ed9c177ff718bc6bd47921a2e875e2 799 misc extra vdr_1.3.35-1.dsc
72e11e4ac61bc7bdb61ef94d54857380 724860 misc extra vdr_1.3.35.orig.tar.gz
b228595b7d561b35ad0e6c9893b6516b 59658 misc extra vdr_1.3.35-1.diff.gz
585aef20fc91f8280c627417de192d44 215050 misc extra vdr-dev_1.3.35-1_all.deb
bb64d6667e4c22488422e7844a542d61 666880 misc extra vdr_1.3.35-1_i386.deb
7c6d820ef754fb4c5519c69c6d9e7db4 24580 misc extra vdr-plugin-sky_1.3.35-1_i386.deb
e64e671ec8c944a755d2b2b25be31f81 32114 misc extra vdr-plugin-examples_1.3.35-1_i386.deb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
iD8DBQFDbTMCc9+NqwoydlIRAoIxAJ9qlc9BR4gxyYBN9G047A2ivUlTygCfflR6
yKXiTG+hwdnL/ktHvLgLR9A=
=0kbU
-----END PGP SIGNATURE-----
More information about the pkg-vdr-dvb-devel
mailing list